using System;
using System.Collections.Generic;
using System.IO;
using UnityEngine;
using UnityEngine.Events;

namespace Mod
{
    public class Mod
         {
                public static void Main()
                {
            // register item to the mod api
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Gorse"), //item to derive from
        NameOverride = "[Meme Animals Pack] Warse", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "What have I done...", //new item description
        CategoryOverride = ModAPI.FindCategory("Entities"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("warse/walter.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("warse/skin.png");
                        var flesh = ModAPI.LoadTexture("null");
                        var bone = ModAPI.LoadTexture("null");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(255, 181, 20); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(255, 169, 20); //second bruise colour. red by default
            person.SetThirdBruiseColor(255, 153, 20); // third bruise colour. light yellow by default
            person.SetRottenColour(144, 0, 255); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(255, 132, 0); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);



ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Gorse"), //item to derive from
        NameOverride = "[Meme Animals Pack] Bingorse", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "Bingorse my beloved.", //new item description
        CategoryOverride = ModAPI.FindCategory("Entities"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("bingorse/bingus.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("bingorse/skin.png");
            var flesh = ModAPI.LoadTexture("null");
            var bone = ModAPI.LoadTexture("null");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(255, 181, 20); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(255, 169, 20); //second bruise colour. red by default
            person.SetThirdBruiseColor(255, 153, 20); // third bruise colour. light yellow by default
            person.SetRottenColour(144, 0, 255); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(255, 132, 0); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);



ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Gorse"), //item to derive from
        NameOverride = "[Meme Animals Pack] Big Gorppa", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "Floppin'", //new item description
        CategoryOverride = ModAPI.FindCategory("Entities"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("gorppa/floppa.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("gorppa/skin.png");
            var flesh = ModAPI.LoadTexture("null");
            var bone = ModAPI.LoadTexture("null");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(255, 181, 20); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(255, 169, 20); //second bruise colour. red by default
            person.SetThirdBruiseColor(255, 153, 20); // third bruise colour. light yellow by default
            person.SetRottenColour(144, 0, 255); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(255, 132, 0); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);



ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Gorse"), //item to derive from
        NameOverride = "[Meme Animals Pack] Jorx]", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "Big eyes. Even bigger feet", //new item description
        CategoryOverride = ModAPI.FindCategory("Entities"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("jorx/jinx.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("jorx/skin.png");
            var flesh = ModAPI.LoadTexture("null");
            var bone = ModAPI.LoadTexture("null");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(255, 181, 20); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(255, 169, 20); //second bruise colour. red by default
            person.SetThirdBruiseColor(255, 153, 20); // third bruise colour. light yellow by default
            person.SetRottenColour(144, 0, 255); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(255, 132, 0); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);



ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Gorse"), //item to derive from
        NameOverride = "[Meme Animals Pack] Dogorse", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "wow. much gorse", //new item description
        CategoryOverride = ModAPI.FindCategory("Entities"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("dogorse/doge.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("dogorse/skin.png");
            var flesh = ModAPI.LoadTexture("null");
            var bone = ModAPI.LoadTexture("null");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(255, 181, 20); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(255, 169, 20); //second bruise colour. red by default
            person.SetThirdBruiseColor(255, 153, 20); // third bruise colour. light yellow by default
            person.SetRottenColour(144, 0, 255); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(255, 132, 0); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);



ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Gorse"), //item to derive from
        NameOverride = "[Meme Animals Pack] Ollorse", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "I didn't know that was the name of the cat until I got a comment telling me to add this.", //new item description
        CategoryOverride = ModAPI.FindCategory("Entities"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("ollorse/ollie.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("ollorse/skin.png");
            var flesh = ModAPI.LoadTexture("null");
            var bone = ModAPI.LoadTexture("null");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(255, 181, 20); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(255, 169, 20); //second bruise colour. red by default
            person.SetThirdBruiseColor(255, 153, 20); // third bruise colour. light yellow by default
            person.SetRottenColour(144, 0, 255); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(255, 132, 0); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"), //item to derive from
        NameOverride = "[Meme Animals Pack] Walterman", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "Bingorse my beloved.", //new item description
        CategoryOverride = ModAPI.FindCategory("Entities"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("walterman/walter.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("walterman/skin.png");
            var flesh = ModAPI.LoadTexture("null");
            var bone = ModAPI.LoadTexture("null");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(255, 181, 20); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(255, 169, 20); //second bruise colour. red by default
            person.SetThirdBruiseColor(255, 153, 20); // third bruise colour. light yellow by default
            person.SetRottenColour(144, 0, 255); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(255, 132, 0); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);



ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Gorse"), //item to derive from
        NameOverride = "[Meme Animals Pack] Chorse", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "CHEEMSBURGER", //new item description
        CategoryOverride = ModAPI.FindCategory("Entities"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("chorse/cheems.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("chorse/skin.png");
            var flesh = ModAPI.LoadTexture("null");
            var bone = ModAPI.LoadTexture("null");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(255, 181, 20); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(255, 169, 20); //second bruise colour. red by default
            person.SetThirdBruiseColor(255, 153, 20); // third bruise colour. light yellow by default
            person.SetRottenColour(144, 0, 255); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(255, 132, 0); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);



            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Gorse"), //item to derive from
        NameOverride = "[Meme Animals Pack] Gegg Dog", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "Bingorse my beloved.", //new item description
        CategoryOverride = ModAPI.FindCategory("Entities"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("geggdog/eggdog.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("geggdog/skin.png");
            var flesh = ModAPI.LoadTexture("null");
            var bone = ModAPI.LoadTexture("null");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(255, 181, 20); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(255, 169, 20); //second bruise colour. red by default
            person.SetThirdBruiseColor(255, 153, 20); // third bruise colour. light yellow by default
            person.SetRottenColour(144, 0, 255); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(255, 132, 0); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);



ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Gorse"), //item to derive from
        NameOverride = "[Meme Animals Pack] Michorse", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "MICHAEL n/THIS IS MICHAEL", //new item description
        CategoryOverride = ModAPI.FindCategory("Entities"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("michorse/michael.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("michorse/skin.png");
            var flesh = ModAPI.LoadTexture("null");
            var bone = ModAPI.LoadTexture("null");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(255, 181, 20); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(255, 169, 20); //second bruise colour. red by default
            person.SetThirdBruiseColor(255, 153, 20); // third bruise colour. light yellow by default
            person.SetRottenColour(144, 0, 255); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(255, 132, 0); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);

ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Gorse"), //item to derive from
        NameOverride = "[Meme Animals Pack] Butter Dogorse", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "Butter Dogorse the gorse with th- AAAAAAAAAAAAAAAH MY ARM", //new item description
        CategoryOverride = ModAPI.FindCategory("Entities"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("butterdogorse/dog.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("butterdogorse/skin.png");
            var flesh = ModAPI.LoadTexture("null");
            var bone = ModAPI.LoadTexture("null");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(255, 181, 20); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(255, 169, 20); //second bruise colour. red by default
            person.SetThirdBruiseColor(255, 153, 20); // third bruise colour. light yellow by default
            person.SetRottenColour(144, 0, 255); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(255, 132, 0); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);

ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Gorse"), //item to derive from
        NameOverride = "[Meme Animals Pack] Heckorse", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "Floppa but H E C K", //new item description
        CategoryOverride = ModAPI.FindCategory("Entities"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("heckorse/heckorse.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("heckorse/skin.png");
            var flesh = ModAPI.LoadTexture("null");
            var bone = ModAPI.LoadTexture("null");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(255, 181, 20); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(255, 169, 20); //second bruise colour. red by default
            person.SetThirdBruiseColor(255, 153, 20); // third bruise colour. light yellow by default
            person.SetRottenColour(144, 0, 255); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(255, 132, 0); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);

ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Gorse"), //item to derive from
        NameOverride = "[Meme Animals Pack] Leonard the Lizorse", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "leonard", //new item description
        CategoryOverride = ModAPI.FindCategory("Entities"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("leonard/leonard.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("leonard/skin.png");
            var flesh = ModAPI.LoadTexture("null");
            var bone = ModAPI.LoadTexture("null");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(255, 181, 20); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(255, 169, 20); //second bruise colour. red by default
            person.SetThirdBruiseColor(255, 153, 20); // third bruise colour. light yellow by default
            person.SetRottenColour(144, 0, 255); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(255, 132, 0); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);

ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Gorse"), //item to derive from
        NameOverride = "[Meme Animals Pack] Sogorse", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "I set the wrong path for the textures in the code and never realized until somebody told me.", //new item description
        CategoryOverride = ModAPI.FindCategory("Entities"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("sogorse/sogga.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("sogorse/skin.png");
            var flesh = ModAPI.LoadTexture("null");
            var bone = ModAPI.LoadTexture("null");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(255, 181, 20); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(255, 169, 20); //second bruise colour. red by default
            person.SetThirdBruiseColor(255, 153, 20); // third bruise colour. light yellow by default
            person.SetRottenColour(144, 0, 255); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(255, 132, 0); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);

ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Gorse"), //item to derive from
        NameOverride = "[Meme Animals Pack] Apple Gorse", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "apple", //new item description
        CategoryOverride = ModAPI.FindCategory("Entities"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("applegorse/applecat.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("applegorse/skin.png");
            var flesh = ModAPI.LoadTexture("null");
            var bone = ModAPI.LoadTexture("null");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(255, 181, 20); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(255, 169, 20); //second bruise colour. red by default
            person.SetThirdBruiseColor(255, 153, 20); // third bruise colour. light yellow by default
            person.SetRottenColour(144, 0, 255); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(255, 132, 0); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);

ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Gorse"), //item to derive from
        NameOverride = "[Meme Animals Pack] Googorse", //new item name with a suffix to assure it is globally unique
        DescriptionOverride = "Because", //new item description
        CategoryOverride = ModAPI.FindCategory("Entities"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("googorse/googa.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
            //load textures for each layer (see Human textures folder in this repository)
            var skin = ModAPI.LoadTexture("googorse/skin.png");
            var flesh = ModAPI.LoadTexture("null");
            var bone = ModAPI.LoadTexture("null");

            //get person
            var person = Instance.GetComponent<PersonBehaviour>();

            //use the helper function to set each texture
            //parameters are as follows: 
            //  skin texture, flesh texture, bone texture, sprite scale
            //you can pass "null" to fall back to the original texture
            person.SetBodyTextures(skin, flesh, bone, 1);

            //change procedural damage colours if they interfere with your texture (rgb 0-255)
            person.SetBruiseColor(255, 181, 20); //main bruise colour. purple-ish by default
            person.SetSecondBruiseColor(255, 169, 20); //second bruise colour. red by default
            person.SetThirdBruiseColor(255, 153, 20); // third bruise colour. light yellow by default
            person.SetRottenColour(144, 0, 255); // rotten/zombie colour. light yellow/green by default
            person.SetBloodColour(255, 132, 0); // blood colour. dark red by default. note that this does not change decal nor particle effect colours. it only affects the procedural blood color which may or may not be rendered
        }
    }
);
        }
    }
}